Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class jdbcResultSet

    java.lang.Object
      |
      +--org.hsqldb.jdbcResultSet

public class jdbcResultSet
extends Object
implements ResultSet, ResultSetMetaData

Constructor Summary
`(package private)` | `jdbcResultSet(org.hsqldb.Result )`

Method Summary
`boolean` | `absolute(int )`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `cancelRowUpdates()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `deleteRow()`
`int` | `findColumn(java.lang.String )`
`boolean` | `first()`
`java.sql.Array` | `getArray(int )`
`java.sql.Array` | `getArray(java.lang.String )`
`java.io.InputStream` | `getAsciiStream(int )`
`java.io.InputStream` | `getAsciiStream(java.lang.String )`
`java.math.BigDecimal` | `getBigDecimal(int , int )`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String , int )`
`java.math.BigDecimal` | `getBigDecimal(int )`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String )`
`java.io.InputStream` | `getBinaryStream(int )`
`java.io.InputStream` | `getBinaryStream(java.lang.String )`
`java.sql.Blob` | `getBlob(int )`
`java.sql.Blob` | `getBlob(java.lang.String )`
`boolean` | `getBoolean(int )`
`boolean` | `getBoolean(java.lang.String )`
`byte` | `getByte(int )`
`byte` | `getByte(java.lang.String )`
`byte[]` | `getBytes(int )`
`byte[]` | `getBytes(java.lang.String )`
`java.lang.String` | `getCatalogName(int )`
`java.io.Reader` | `getCharacterStream(java.lang.String )`
`java.io.Reader` | `getCharacterStream(int )`
`java.sql.Clob` | `getClob(int )`
`java.sql.Clob` | `getClob(java.lang.String )`
`java.lang.String` | `getColumnClassName(int )`
`int` | `getColumnCount()`
`int` | `getColumnDisplaySize(int )`
`java.lang.String` | `getColumnLabel(int )`
`java.lang.String` | `getColumnName(int )`
`int` | `getColumnType(int )`
`java.lang.String` | `getColumnTypeName(int )`
`int` | `getConcurrency()`
`java.lang.String` | `getCursorName()`
`java.sql.Date` | `getDate(int )`
`java.sql.Date` | `getDate(java.lang.String )`
`java.sql.Date` | `getDate(int , java.util.Calendar )`
`java.sql.Date` | `getDate(java.lang.String , java.util.Calendar )`
`double` | `getDouble(int )`
`double` | `getDouble(java.lang.String )`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int )`
`float` | `getFloat(java.lang.String )`
`int` | `getInt(int )`
`int` | `getInt(java.lang.String )`
`long` | `getLong(int )`
`long` | `getLong(java.lang.String )`
`java.sql.ResultSetMetaData` | `getMetaData()`
`java.lang.Object` | `getObject(java.lang.String )`
`java.lang.Object` | `getObject(int )`
`java.lang.Object` | `getObject(int , java.util.Map )`
`java.lang.Object` | `getObject(java.lang.String , java.util.Map )`
`int` | `getPrecision(int )`
`java.sql.Ref` | `getRef(int )`
`java.sql.Ref` | `getRef(java.lang.String )`
`int` | `getRow()`
`int` | `getScale(int )`
`java.lang.String` | `getSchemaName(int )`
`short` | `getShort(int )`
`short` | `getShort(java.lang.String )`
`java.sql.Statement` | `getStatement()`
`java.lang.String` | `getString(int )`
`java.lang.String` | `getString(java.lang.String )`
`java.lang.String` | `getTableName(int )`
`java.sql.Time` | `getTime(int )`
`java.sql.Time` | `getTime(java.lang.String )`
`java.sql.Time` | `getTime(int , java.util.Calendar )`
`java.sql.Time` | `getTime(java.lang.String , java.util.Calendar )`
`java.sql.Timestamp` | `getTimestamp(int )`
`java.sql.Timestamp` | `getTimestamp(java.lang.String )`
`java.sql.Timestamp` | `getTimestamp(int , java.util.Calendar )`
`java.sql.Timestamp` | `getTimestamp(java.lang.String , java.util.Calendar )`
`int` | `getType()`
`java.io.InputStream` | `getUnicodeStream(int )`
`java.io.InputStream` | `getUnicodeStream(java.lang.String )`
`(package private) int` | `getUpdateCount()`
`java.sql.SQLWarning` | `getWarnings()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isAutoIncrement(int )`
`boolean` | `isBeforeFirst()`
`boolean` | `isCaseSensitive(int )`
`boolean` | `isCurrency(int )`
`boolean` | `isDefinitelyWritable(int )`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`int` | `isNullable(int )`
`boolean` | `isReadOnly(int )`
`(package private) boolean` | `isResult()`
`boolean` | `isSearchable(int )`
`boolean` | `isSigned(int )`
`boolean` | `isWritable(int )`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`boolean` | `next()`
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int )`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`void` | `setFetchDirection(int )`
`void` | `setFetchSize(int )`
`void` | `updateAsciiStream(int , java.io.InputStream , int )`
`void` | `updateAsciiStream(java.lang.String , java.io.InputStream , int )`
`void` | `updateBigDecimal(int , java.math.BigDecimal )`
`void` | `updateBigDecimal(java.lang.String , java.math.BigDecimal )`
`void` | `updateBinaryStream(int , java.io.InputStream , int )`
`void` | `updateBinaryStream(java.lang.String , java.io.InputStream , int )`
`void` | `updateBoolean(int , boolean )`
`void` | `updateBoolean(java.lang.String , boolean )`
`void` | `updateByte(int , byte )`
`void` | `updateByte(java.lang.String , byte )`
`void` | `updateBytes(int , byte[] )`
`void` | `updateBytes(java.lang.String , byte[] )`
`void` | `updateCharacterStream(int , java.io.Reader , int )`
`void` | `updateCharacterStream(java.lang.String , java.io.Reader , int )`
`void` | `updateDate(int , java.sql.Date )`
`void` | `updateDate(java.lang.String , java.sql.Date )`
`void` | `updateDouble(int , double )`
`void` | `updateDouble(java.lang.String , double )`
`void` | `updateFloat(int , float )`
`void` | `updateFloat(java.lang.String , float )`
`void` | `updateInt(int , int )`
`void` | `updateInt(java.lang.String , int )`
`void` | `updateLong(int , long )`
`void` | `updateLong(java.lang.String , long )`
`void` | `updateNull(int )`
`void` | `updateNull(java.lang.String )`
`void` | `updateObject(int , java.lang.Object , int )`
`void` | `updateObject(int , java.lang.Object )`
`void` | `updateObject(java.lang.String , java.lang.Object , int )`
`void` | `updateObject(java.lang.String , java.lang.Object )`
`void` | `updateRow()`
`void` | `updateShort(int , short )`
`void` | `updateShort(java.lang.String , short )`
`void` | `updateString(int , java.lang.String )`
`void` | `updateString(java.lang.String , java.lang.String )`
`void` | `updateTime(int , java.sql.Time )`
`void` | `updateTime(java.lang.String , java.sql.Time )`
`void` | `updateTimestamp(int , java.sql.Timestamp )`
`void` | `updateTimestamp(java.lang.String , java.sql.Timestamp )`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### jdbcResultSet

    jdbcResultSet(org.hsqldb.Result )

Method Detail

### absolute

    public boolean absolute(int )

### afterLast

    public void afterLast()

### beforeFirst

    public void beforeFirst()

### cancelRowUpdates

    public void cancelRowUpdates()

### clearWarnings

    public void clearWarnings()

### close

    public void close()

### deleteRow

    public void deleteRow()

### findColumn

    public int findColumn(java.lang.String )

### first

    public boolean first()

### getArray

    public java.sql.Array getArray(int )

### getArray

    public java.sql.Array getArray(java.lang.String )

### getAsciiStream

    public java.io.InputStream getAsciiStream(int )

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String )

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int , int )

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String , int )

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int )

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String )

### getBinaryStream

    public java.io.InputStream getBinaryStream(int )

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String )

### getBlob

    public java.sql.Blob getBlob(int )

### getBlob

    public java.sql.Blob getBlob(java.lang.String )

### getBoolean

    public boolean getBoolean(int )

### getBoolean

    public boolean getBoolean(java.lang.String )

### getByte

    public byte getByte(int )

### getByte

    public byte getByte(java.lang.String )

### getBytes

    public byte[] getBytes(int )

### getBytes

    public byte[] getBytes(java.lang.String )

### getCatalogName

    public java.lang.String getCatalogName(int )

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String )

### getCharacterStream

    public java.io.Reader getCharacterStream(int )

### getClob

    public java.sql.Clob getClob(int )

### getClob

    public java.sql.Clob getClob(java.lang.String )

### getColumnClassName

    public java.lang.String getColumnClassName(int )

### getColumnCount

    public int getColumnCount()

### getColumnDisplaySize

    public int getColumnDisplaySize(int )

### getColumnLabel

    public java.lang.String getColumnLabel(int )

### getColumnName

    public java.lang.String getColumnName(int )

### getColumnType

    public int getColumnType(int )

### getColumnTypeName

    public java.lang.String getColumnTypeName(int )

### getConcurrency

    public int getConcurrency()

### getCursorName

    public java.lang.String getCursorName()

### getDate

    public java.sql.Date getDate(int )

### getDate

    public java.sql.Date getDate(java.lang.String )

### getDate

    public java.sql.Date getDate(int , java.util.Calendar )

### getDate

    public java.sql.Date getDate(java.lang.String , java.util.Calendar )

### getDouble

    public double getDouble(int )

### getDouble

    public double getDouble(java.lang.String )

### getFetchDirection

    public int getFetchDirection()

### getFetchSize

    public int getFetchSize()

### getFloat

    public float getFloat(int )

### getFloat

    public float getFloat(java.lang.String )

### getInt

    public int getInt(int )

### getInt

    public int getInt(java.lang.String )

### getLong

    public long getLong(int )

### getLong

    public long getLong(java.lang.String )

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()

### getObject

    public java.lang.Object getObject(java.lang.String )

### getObject

    public java.lang.Object getObject(int )

### getObject

    public java.lang.Object getObject(int , java.util.Map )

### getObject

    public java.lang.Object getObject(java.lang.String , java.util.Map )

### getPrecision

    public int getPrecision(int )

### getRef

    public java.sql.Ref getRef(int )

### getRef

    public java.sql.Ref getRef(java.lang.String )

### getRow

    public int getRow()

### getScale

    public int getScale(int )

### getSchemaName

    public java.lang.String getSchemaName(int )

### getShort

    public short getShort(int )

### getShort

    public short getShort(java.lang.String )

### getStatement

    public java.sql.Statement getStatement()

### getString

    public java.lang.String getString(int )

### getString

    public java.lang.String getString(java.lang.String )

### getTableName

    public java.lang.String getTableName(int )

### getTime

    public java.sql.Time getTime(int )

### getTime

    public java.sql.Time getTime(java.lang.String )

### getTime

    public java.sql.Time getTime(int , java.util.Calendar )

### getTime

    public java.sql.Time getTime(java.lang.String , java.util.Calendar )

### getTimestamp

    public java.sql.Timestamp getTimestamp(int )

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String )

### getTimestamp

    public java.sql.Timestamp getTimestamp(int , java.util.Calendar )

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String , java.util.Calendar )

### getType

    public int getType()

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int )

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String )

### getUpdateCount

    int getUpdateCount()

### getWarnings

    public java.sql.SQLWarning getWarnings()

### insertRow

    public void insertRow()

### isAfterLast

    public boolean isAfterLast()

### isAutoIncrement

    public boolean isAutoIncrement(int )

### isBeforeFirst

    public boolean isBeforeFirst()

### isCaseSensitive

    public boolean isCaseSensitive(int )

### isCurrency

    public boolean isCurrency(int )

### isDefinitelyWritable

    public boolean isDefinitelyWritable(int )

### isFirst

    public boolean isFirst()

### isLast

    public boolean isLast()

### isNullable

    public int isNullable(int )

### isReadOnly

    public boolean isReadOnly(int )

### isResult

    boolean isResult()

### isSearchable

    public boolean isSearchable(int )

### isSigned

    public boolean isSigned(int )

### isWritable

    public boolean isWritable(int )

### last

    public boolean last()

### moveToCurrentRow

    public void moveToCurrentRow()

### moveToInsertRow

    public void moveToInsertRow()

### next

    public boolean next()

### previous

    public boolean previous()

### refreshRow

    public void refreshRow()

### relative

    public boolean relative(int )

### rowDeleted

    public boolean rowDeleted()

### rowInserted

    public boolean rowInserted()

### rowUpdated

    public boolean rowUpdated()

### setFetchDirection

    public void setFetchDirection(int )

### setFetchSize

    public void setFetchSize(int )

### updateAsciiStream

    public void updateAsciiStream(int , java.io.InputStream , int )

### updateAsciiStream

    public void updateAsciiStream(java.lang.String , java.io.InputStream , int )

### updateBigDecimal

    public void updateBigDecimal(int , java.math.BigDecimal )

### updateBigDecimal

    public void updateBigDecimal(java.lang.String , java.math.BigDecimal )

### updateBinaryStream

    public void updateBinaryStream(int , java.io.InputStream , int )

### updateBinaryStream

    public void updateBinaryStream(java.lang.String , java.io.InputStream , int )

### updateBoolean

    public void updateBoolean(int , boolean )

### updateBoolean

    public void updateBoolean(java.lang.String , boolean )

### updateByte

    public void updateByte(int , byte )

### updateByte

    public void updateByte(java.lang.String , byte )

### updateBytes

    public void updateBytes(int , byte[] )

### updateBytes

    public void updateBytes(java.lang.String , byte[] )

### updateCharacterStream

    public void updateCharacterStream(int , java.io.Reader , int )

### updateCharacterStream

    public void updateCharacterStream(java.lang.String , java.io.Reader , int )

### updateDate

    public void updateDate(int , java.sql.Date )

### updateDate

    public void updateDate(java.lang.String , java.sql.Date )

### updateDouble

    public void updateDouble(int , double )

### updateDouble

    public void updateDouble(java.lang.String , double )

### updateFloat

    public void updateFloat(int , float )

### updateFloat

    public void updateFloat(java.lang.String , float )

### updateInt

    public void updateInt(int , int )

### updateInt

    public void updateInt(java.lang.String , int )

### updateLong

    public void updateLong(int , long )

### updateLong

    public void updateLong(java.lang.String , long )

### updateNull

    public void updateNull(int )

### updateNull

    public void updateNull(java.lang.String )

### updateObject

    public void updateObject(int , java.lang.Object , int )

### updateObject

    public void updateObject(int , java.lang.Object )

### updateObject

    public void updateObject(java.lang.String , java.lang.Object , int )

### updateObject

    public void updateObject(java.lang.String , java.lang.Object )

### updateRow

    public void updateRow()

### updateShort

    public void updateShort(int , short )

### updateShort

    public void updateShort(java.lang.String , short )

### updateString

    public void updateString(int , java.lang.String )

### updateString

    public void updateString(java.lang.String , java.lang.String )

### updateTime

    public void updateTime(int , java.sql.Time )

### updateTime

    public void updateTime(java.lang.String , java.sql.Time )

### updateTimestamp

    public void updateTimestamp(int , java.sql.Timestamp )

### updateTimestamp

    public void updateTimestamp(java.lang.String , java.sql.Timestamp )

### wasNull

    public boolean wasNull()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD